{
  "global" : {
    "ask_for_confirmation_before_quitting" : true,
    "check_for_updates_on_startup" : true,
    "show_in_menu_bar" : true,
    "show_profile_name_in_menu_bar" : false,
    "unsafe_ui" : false
  },
  "profiles" : [ {
    "complex_modifications" : {
      "parameters" : {
        "basic.simultaneous_threshold_milliseconds" : 50,
        "basic.to_delayed_action_delay_milliseconds" : 500,
        "basic.to_if_alone_timeout_milliseconds" : 350,
        "basic.to_if_held_down_threshold_milliseconds" : 1500
      },
      "rules" : [ {
        "description" : "Backslash<->Open_Bracket on Advantage2",
        "manipulators" : [ {
          "from" : {
            "key_code" : "open_bracket"
          },
          "to" : [ {
            "key_code" : "5",
            "modifiers" : [ "right_shift" ]
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "type" : "frontmost_application_if",
            "bundle_identifiers" : [ "^com\\.chekazuja\\.keykey$" ]
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "open_bracket",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "8",
            "modifiers" : [ "right_shift" ]
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "type" : "frontmost_application_if",
            "bundle_identifiers" : [ "^com\\.chekazuja\\.keykey$" ]
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "open_bracket",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "backslash"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "type" : "frontmost_application_unless",
            "bundle_identifiers" : [ "^com\\.chekazuja\\.keykey$" ]
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "backslash",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "open_bracket"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Delete->Control on Advantage2",
        "manipulators" : [ {
          "from" : {
            "key_code" : "delete_forward",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "left_control"
          } ],
          "conditions" : [ {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "equal_sign",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "grave_accent_and_tilde"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "grave_accent_and_tilde",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "equal_sign"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Alternative language switches: Lcmd->English, Rcmd->Russian, Rshift-> Russian",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "from" : {
            "key_code" : "left_command"
          },
          "to" : [ {
            "key_code" : "left_command"
          } ],
          "type" : "basic"
        }, {
          "to_if_alone" : [ {
            "select_input_source" : {
              "language" : "ru"
            }
          } ],
          "from" : {
            "key_code" : "right_command"
          },
          "to" : [ {
            "key_code" : "right_command"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "t",
            "modifiers" : {
              "mandatory" : [ "right_command" ]
            }
          },
          "to" : [ {
            "key_code" : "t",
            "modifiers" : [ "right_command" ]
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "l",
            "modifiers" : {
              "mandatory" : [ "right_command" ]
            }
          },
          "to" : [ {
            "key_code" : "l",
            "modifiers" : [ "right_command" ]
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "t",
            "modifiers" : {
              "mandatory" : [ "left_command" ]
            }
          },
          "to" : [ {
            "key_code" : "t",
            "modifiers" : [ "left_command" ]
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "l",
            "modifiers" : {
              "mandatory" : [ "left_command" ]
            }
          },
          "to" : [ {
            "key_code" : "l",
            "modifiers" : [ "left_command" ]
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Caps->Russian, LShift->English",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "from" : {
            "key_code" : "left_shift",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "left_shift"
          } ],
          "type" : "basic"
        }, {
          "to_if_alone" : [ {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "to_after_key_up" : [ {
            "set_variable" : {
              "name" : "capskey",
              "value" : 0
            }
          } ],
          "from" : {
            "key_code" : "caps_lock",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "set_variable" : {
              "name" : "capskey",
              "value" : 1
            }
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        }, {
          "to_if_alone" : [ {
            "select_input_source" : {
              "language" : "ru"
            }
          } ],
          "to_after_key_up" : [ {
            "set_variable" : {
              "name" : "capskey",
              "value" : 0
            }
          } ],
          "from" : {
            "key_code" : "caps_lock",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "set_variable" : {
              "name" : "capskey",
              "value" : 1
            }
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "en"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Tab as Hyper(⌘+⌥+^+⇧)",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "key_code" : "tab"
          } ],
          "from" : {
            "key_code" : "tab"
          },
          "to" : [ {
            "key_code" : "left_shift",
            "modifiers" : [ "left_command", "left_control", "left_option", "left_shift" ]
          } ],
          "conditions" : [ {
            "name" : "left_command",
            "value" : 1,
            "type" : "variable_unless"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Caps+T to start Kitty, Caps+B->Bing, Caps+G->Bard, Caps+O->Poe, Caps+P->ChatGPT4, Caps+␣->AllGPT",
        "manipulators" : [ {
          "from" : {
            "key_code" : "t"
          },
          "to" : [ {
            "shell_command" : "open -a '/Applications/kitty.app'"
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          }, {
            "type" : "frontmost_application_unless",
            "bundle_identifiers" : [ "^net\\.kovidgoyal\\.kitty$" ]
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "t"
          },
          "to" : [ {
            "key_code" : "t",
            "modifiers" : [ "left_command" ]
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          }, {
            "type" : "frontmost_application_if",
            "bundle_identifiers" : [ "^net\\.kovidgoyal\\.kitty$" ]
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "a"
          },
          "to" : [ {
            "shell_command" : "open -a '/Applications/Arc.app'"
          }, {
            "select_input_source" : {
              "language" : "en"
            }
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "b"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/Bing AI.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "g"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/Bard.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "c"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/Claude.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "o"
          },
          "to" : [ {
            "shell_command" : "open -a '/Applications/Poe.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "p"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/ChatGPT4.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "v"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/Vikunja.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        }, {
          "from" : {
            "key_code" : "spacebar"
          },
          "to" : [ {
            "shell_command" : "open -a '/Users/anton/Applications/Brave Browser Apps.localized/GPT.app'"
          } ],
          "conditions" : [ {
            "name" : "capskey",
            "value" : 1,
            "type" : "variable_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Ropt->Comma",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "key_code" : "6",
            "modifiers" : [ "right_shift" ]
          } ],
          "from" : {
            "key_code" : "right_option",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "right_shift"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        }, {
          "to_if_alone" : [ {
            "key_code" : "comma"
          } ],
          "from" : {
            "key_code" : "right_option",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "right_shift"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "en"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Rshift->Comma",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "key_code" : "6",
            "modifiers" : [ "right_shift" ]
          } ],
          "to_if_held_down" : [ {
            "key_code" : "caps_lock"
          } ],
          "from" : {
            "key_code" : "right_shift",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "right_shift"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        }, {
          "to_if_alone" : [ {
            "key_code" : "comma"
          } ],
          "to_if_held_down" : [ {
            "key_code" : "caps_lock"
          } ],
          "from" : {
            "key_code" : "right_shift",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "right_shift"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "en"
            } ],
            "type" : "input_source_if"
          } ],
          "type" : "basic"
        } ]
      }, {
        "description" : "Rcommand -> comma, but not on advantage",
        "manipulators" : [ {
          "to_if_alone" : [ {
            "key_code" : "6",
            "modifiers" : [ "right_shift" ]
          } ],
          "from" : {
            "key_code" : "right_command",
            "modifiers" : {
              "optional" : [ "any" ]
            }
          },
          "to" : [ {
            "key_code" : "right_command"
          } ],
          "conditions" : [ {
            "input_sources" : [ {
              "language" : "ru"
            } ],
            "type" : "input_source_if"
          }, {
            "identifiers" : [ {
              "vendor_id" : 10730,
              "product_id" : 258
            } ],
            "type" : "device_unless"
          } ],
          "type" : "basic"
        } ]
      } ]
    },
    "devices" : [ {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 835,
        "vendor_id" : 1452
      },
      "ignore" : false,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : false,
        "is_pointing_device" : true,
        "product_id" : 835,
        "vendor_id" : 1452
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : false,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 258,
        "vendor_id" : 10730
      },
      "ignore" : false,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : false,
        "is_pointing_device" : true,
        "product_id" : 258,
        "vendor_id" : 10730
      },
      "ignore" : false,
      "manipulate_caps_lock_led" : false,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : false,
        "is_pointing_device" : true,
        "product_id" : 613,
        "vendor_id" : 76
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : false,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 34304,
        "vendor_id" : 1452
      },
      "ignore" : false,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 50475,
        "vendor_id" : 1133
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : false,
        "is_pointing_device" : true,
        "product_id" : 50475,
        "vendor_id" : 1133
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : false,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 1031,
        "vendor_id" : 4176
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : true,
        "is_pointing_device" : false,
        "product_id" : 592,
        "vendor_id" : 1452
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : true,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    }, {
      "disable_built_in_keyboard_if_exists" : false,
      "fn_function_keys" : [ ],
      "identifiers" : {
        "is_keyboard" : false,
        "is_pointing_device" : true,
        "product_id" : 50801,
        "vendor_id" : 9583
      },
      "ignore" : true,
      "manipulate_caps_lock_led" : false,
      "simple_modifications" : [ ],
      "treat_as_built_in_keyboard" : false
    } ],
    "fn_function_keys" : [ {
      "from" : {
        "key_code" : "f1"
      },
      "to" : [ {
        "consumer_key_code" : "display_brightness_decrement"
      } ]
    }, {
      "from" : {
        "key_code" : "f2"
      },
      "to" : [ {
        "consumer_key_code" : "display_brightness_increment"
      } ]
    }, {
      "from" : {
        "key_code" : "f3"
      },
      "to" : [ {
        "apple_vendor_keyboard_key_code" : "mission_control"
      } ]
    }, {
      "from" : {
        "key_code" : "f4"
      },
      "to" : [ {
        "apple_vendor_keyboard_key_code" : "spotlight"
      } ]
    }, {
      "from" : {
        "key_code" : "f5"
      },
      "to" : [ {
        "consumer_key_code" : "dictation"
      } ]
    }, {
      "from" : {
        "key_code" : "f6"
      },
      "to" : [ {
        "key_code" : "f6"
      } ]
    }, {
      "from" : {
        "key_code" : "f7"
      },
      "to" : [ {
        "consumer_key_code" : "rewind"
      } ]
    }, {
      "from" : {
        "key_code" : "f8"
      },
      "to" : [ {
        "consumer_key_code" : "play_or_pause"
      } ]
    }, {
      "from" : {
        "key_code" : "f9"
      },
      "to" : [ {
        "consumer_key_code" : "fast_forward"
      } ]
    }, {
      "from" : {
        "key_code" : "f10"
      },
      "to" : [ {
        "consumer_key_code" : "mute"
      } ]
    }, {
      "from" : {
        "key_code" : "f11"
      },
      "to" : [ {
        "consumer_key_code" : "volume_decrement"
      } ]
    }, {
      "from" : {
        "key_code" : "f12"
      },
      "to" : [ {
        "consumer_key_code" : "volume_increment"
      } ]
    } ],
    "name" : "Default",
    "parameters" : {
      "delay_milliseconds_before_open_device" : 1000
    },
    "selected" : true,
    "simple_modifications" : [ ],
    "virtual_hid_keyboard" : {
      "country_code" : 0,
      "indicate_sticky_modifier_keys_state" : true,
      "mouse_key_xy_scale" : 100
    }
  } ]
}